/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-17 14:01:39
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-17 14:01:47
 * @FilePath: \general-ai-manage\mock\dict.ts
 * @Description: 字典表mock数据处理
 */
import { mockGetIndustryDictData } from './pools/dictData';

import { successMockApiProps } from './typing';
import { fetchMockSuccessFullByOther } from './utils/apiMock';

export default {
  // 实时分析告警列表分页
  'GET /api/dict/industry/': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetIndustryDictData),
    };
    res.json(resData);
  },
};
