/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 15:42:40
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-19 14:37:55
 * @FilePath: \uighur-recognition-web2\mock\pools\warningRuleData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**@实时分析告警规则模块 */
// 告警规则分页
export const mockGetBusinessProjectData = {
  data: {
    count: 7,
    next: null,
    previous: null,
    results: [
      {
        id: '1',
        name: '一名科技有限公司', // 公司名称
        address: '', // 公司地址
        industry: 1002,
        industryName: '制造业', // 公司所属行业
        contacts: '', // 联系人
        contactWay: '', // 联系方式
        remark: '', // 简介
        logo: '', // 企业logo
        modelCount: 3, // 模型数量
        deviceCount: 1, // 设备数量
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
      },
      {
        id: '2',
        name: '江川科技有限公司',
        industry: 1002,
        industryName: '制造业',
        modelCount: 2,
        deviceCount: 3,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54',
      },
      {
        id: '3',
        name: '苏胜天信息科技有限公司',
        industry: 1001,
        industryName: '互联网科技',
        modelCount: 1,
        deviceCount: 1,
        create_time: '2024-01-22T10:58:57',
        update_time: '2024-04-01T17:54:01',
        province: '江苏省',
        city: '南京市',
        address: '雨花台区软件大道新华汇B4栋4楼', // 公司地址
        contacts: '张三', // 联系人
        contactWay: '17755551234', // 联系方式
        remark:
          '南京苏胜天信息科技有限公司成立于2016，年拥有专业计算机视觉和深度学习方面的技术团队，助力制造业工业检测实现智能化，实现企业降本增效。公司核心技术是机器视觉算法，致力于自动化成套视觉检测设备。 ',
      },
      {
        id: '4',
        name: '雅信视觉科技有限公司', // 公司名称
        industry: 1001,
        industryName: '互联网科技',
        modelCount: 3, // 模型数量
        deviceCount: 1, // 设备数量
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
      },
      {
        id: '5',
        name: '超越科技有限公司',
        industry: 1001,
        industryName: '互联网科技',
        modelCount: 2,
        deviceCount: 3,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54',
      },
      {
        id: '6',
        name: '金怡工厂',
        industry: 1002,
        industryName: '冶金制造业',
        modelCount: 1,
        deviceCount: 1,
        create_time: '2024-01-22T10:58:57',
        update_time: '2024-04-01T17:54:01',
      },
      {
        id: '7',
        name: '乐乐五金制造',
        industry: 1002,
        industryName: '冶金制造业',
        modelCount: 2,
        deviceCount: 3,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
