/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 15:42:40
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 17:48:37
 * @FilePath: \uighur-recognition-web2\mock\pools\warningRuleData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**@实时分析设备列表模块 */
// 设备列表分页
export const mockGetDeviceData = {
  data: {
    count: 3,
    next: null,
    previous: null,
    results: [
      {
        id: 3,
        device_name: '东大街西',
        device_code: null,
        device_api: 'test2',
        is_use: 0,
        device_status: 1,
        note: null,
        test_time: '2024-03-25T14:46:59.254201',
        test_result: 1,
        device_ip: '192.168.10.28',
        device_port: null,
        create_time: '2024-02-26T14:12:21.632020',
        update_time: '2024-03-25T14:46:59.256200',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        appear_time: '2024-04-02T10:05:19',
      },
      {
        id: 2,
        device_name: '东大街南',
        device_code: null,
        device_api: 'test',
        is_use: 0,
        device_status: 1,
        note: null,
        test_time: '2024-03-22T13:28:38.741433',
        test_result: 1,
        device_ip: '192.168.10.10',
        device_port: null,
        create_time: '2024-02-26T09:59:36.599018',
        update_time: '2024-03-22T13:28:38.743432',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        appear_time: '2024-04-02T10:05:19',
      },
      {
        id: 1,
        device_name: '东大街东',
        device_code: null,
        device_api: null,
        is_use: 0,
        device_status: 1,
        note: null,
        test_time: '2024-03-22T13:33:21.783679',
        test_result: 1,
        device_ip: '192.168.10.28',
        device_port: null,
        create_time: '2024-02-26T09:57:25',
        update_time: '2024-03-22T13:33:21.786678',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        appear_time: '2024-04-02T10:05:19',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
/**@离线分析设备列表模块 */
// 设备列表分页
export const mockGetUploadDeviceData = {
  data: {
    count: 3,
    next: null,
    previous: null,
    results: [
      {
        id: 3,
        device_name: 'test2',
        device_uuid: '098eea8c_c649_4a6a_8a39_4f4b9c4c1cc0',
        upload_or_download: 1,
        operate_mode: 2,
        device_ip: '127.0.0.1',
        device_port: 80,
        device_username: 'admin',
        device_password: 'admin',
        source_directory: null,
        destination_directory: '/home\\098eea8c_c649_4a6a_8a39_4f4b9c4c1cc0',
        access_key_id: null,
        access_key_secret: null,
        bucket: null,
        is_use: 1,
        device_status: 1,
        note: 'test23',
        test_time: null,
        test_result: null,
        create_time: '2024-04-02T16:42:14.596765',
        update_time: '2024-04-02T17:19:50.855507',
      },
      {
        id: 2,
        device_name: 'test1',
        device_uuid: '430bce6b_4df5_4dfa_a64c_776934746069',
        upload_or_download: 2,
        operate_mode: 3,
        device_ip: 'test1',
        device_port: null,
        device_username: null,
        device_password: null,
        source_directory: null,
        destination_directory: '/home\\430bce6b_4df5_4dfa_a64c_776934746069',
        access_key_id: '112233',
        access_key_secret: '332211',
        bucket: '123456',
        is_use: 1,
        device_status: 1,
        note: '654321',
        test_time: null,
        test_result: null,
        create_time: '2024-04-02T16:06:32.241551',
        update_time: '2024-04-02T17:20:40.696287',
      },
      {
        id: 1,
        device_name: 'test',
        device_uuid: '252f9533_fd3f_4282_aafe_dadc9b3044c4',
        upload_or_download: 2,
        operate_mode: 1,
        device_ip: '192.10.10.1',
        device_port: 8080,
        device_username: 'test',
        device_password: '123456',
        source_directory: 'test1',
        destination_directory: '/home\\252f9533_fd3f_4282_aafe_dadc9b3044c4',
        access_key_id: null,
        access_key_secret: null,
        bucket: null,
        is_use: 1,
        device_status: 1,
        note: 'test1',
        test_time: null,
        test_result: null,
        create_time: '2024-04-02T15:47:37.276475',
        update_time: '2024-04-02T17:24:02.682003',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
