/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 14:05:08
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 17:08:19
 * @FilePath: \uighur-recognition-web2\mock\pools\travelTrackData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**@实时分析告警追踪模块 */
// 告警追踪列表分页
export const mockGetTravelTrackData = {
  data: {
    count: 20,
    next: 'http://192.168.10.21:8000/api/travel_track/?page=2&pageSize=10&person_id=0df18ed7-d6e7-445f-824d-6b3942c27915',
    previous: null,
    results: [
      {
        id: 15,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 16,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 17,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 18,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 19,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 20,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 21,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 22,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 23,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
      {
        id: 24,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        device_id: 3,
        device_name: '东大街西',
        appear_time: '2024-04-02T10:05:19',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-02-27T14:36:37.505000',
        update_time: '2024-03-04T11:35:18.704087',
        person_classify: 0,
        device_note: null,
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};

/**@离线分析告警追踪模块 */
// 告警追踪列表分页
export const mockGetUploadTravelTrackData = {
  data: {
    count: 9,
    next: null,
    previous: null,
    results: [
      {
        id: 15,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '2',
        video_name: 'test.mp4',
        relative_time: '11分52秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时53分20秒',
      },
      {
        id: 14,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '2',
        video_name: 'test.mp4',
        relative_time: '10分12秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时53分20秒',
      },
      {
        id: 13,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '2',
        video_name: 'test.mp4',
        relative_time: '8分32秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时53分20秒',
      },
      {
        id: 12,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '2',
        video_name: 'test.mp4',
        relative_time: '6分52秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时53分20秒',
      },
      {
        id: 11,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '2',
        video_name: 'test.mp4',
        relative_time: '5分12秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时53分20秒',
      },
      {
        id: 10,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '1',
        video_name: 'test.mp4',
        relative_time: '10分12秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时3分20秒',
      },
      {
        id: 9,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '1',
        video_name: 'test.mp4',
        relative_time: '8分32秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时3分20秒',
      },
      {
        id: 8,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '1',
        video_name: 'test.mp4',
        relative_time: '6分52秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时3分20秒',
      },
      {
        id: 7,
        person_id: '0df18ed7-d6e7-445f-824d-6b3942c27915',
        video_id: '1',
        video_name: 'test.mp4',
        relative_time: '5分12秒',
        picture_path:
          'http://192.168.10.82:8080/UR_face/2024-02-27/normal/cam01_AZ8478568_20240206140518032_FACE_SNAP_4098.jpg',
        is_ignore: 0,
        cancel_trip: null,
        create_time: '2024-03-20T15:11:48',
        update_time: '2024-03-20T15:11:50',
        person_classify: 1,
        video_length: '1时3分20秒',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
