/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-03-27 14:56:27
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 15:05:33
 * @FilePath: \general-ai-manage\src\components\index.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**
 * 这个文件作为组件的目录
 * 目的是统一管理对外输出的组件，方便分类
 */
/**
 * 布局组件
 */
import Footer from './Footer';
import MenuBar from './MenuBar';

import { Question, SelectLang } from './RightContent';
import { AvatarDropdown, AvatarName } from './RightContent/AvatarDropdown';

export { AvatarDropdown, AvatarName, Footer, MenuBar, Question, SelectLang };
