/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-11-01 13:56:33
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-11-21 14:23:38
 * @FilePath: \general-ai-platform-web\src\locales\zh-CN\device.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export const device: { [key: string]: string } = {
  'device.device.table.list.id': 'ID',
  'device.device.table.list.name': '设备名称',
  'device.device.table.list.code': '设备代码',
  'device.device.table.list.position': '位置',
  'device.device.table.list.param': '设备参数',
  'device.device.table.list.spec': '设备规格',
  'device.device.table.list.categoryFkId': '设备类别',
  'device.device.table.list.groupFkId': '设备分组',
  'device.device.table.list.isEnable': '是否启用',
  'device.device.table.list.remark': '备注',
  'device.device.table.list.createTime': '创建时间',
  'device.device.table.list.updateTime': '更新时间',
  'device.device.table.rule.required.name': '设备名称为必填项',
  'device.device.table.rule.required.code': '设备代码为必填项',
  'device.device.table.list.add': '新建设备',
  'device.device.table.list.update': '更新设备',
};
export const device_category: { [key: string]: string } = {
  'device.device_category.table.list.id': 'ID',
  'device.device_category.table.list.name': '类别名称',
  'device.device_category.table.list.code': '类别代码',
  'device.device_category.table.list.remark': '备注',
  'device.device_category.table.list.createTime': '创建时间',
  'device.device_category.table.list.updateTime': '更新时间',
  'device.device_category.table.rule.required.name': '类别名称为必填项',
  'device.device_category.table.rule.required.code': '类别代码为必填项',
  'device.device_category.table.list.add': '新建设备类别',
  'device.device_category.table.list.update': '更新设备类别',
};
export const device_group: { [key: string]: string } = {
  'device.device_group.table.list.id': 'ID',
  'device.device_group.table.list.name': '分组名称',
  'device.device_group.table.list.code': '分组代码',
  'device.device_group.table.list.address': '地址',
  'device.device_group.table.list.telephone': '电话',
  'device.device_group.table.list.lon': '经度',
  'device.device_group.table.list.lat': '纬度',
  'device.device_group.table.list.managerName': '负责人姓名',
  'device.device_group.table.list.managerPhone': '负责人联系方式',
  'device.device_group.table.list.isEnable': '是否启用',
  'device.device_group.table.list.parentFkId': '父节点',
  'device.device_group.table.list.remark': '备注',
  'device.device_group.table.list.createTime': '创建时间',
  'device.device_group.table.list.updateTime': '更新时间',
  'device.device_group.table.rule.required.name': '分组名称为必填项',
  'device.device_group.table.rule.required.code': '分组代码为必填项',
  'device.device_group.table.rule.required.managerName': '负责人姓名为必填项',
  'device.device_group.table.rule.required.managerPhone': '负责人联系方式为必填项',
  'device.device_group.table.rule.required.parentFkId': '父节点为必填项',
  'device.device_group.table.list.add': '新建设备分组',
  'device.device_group.table.list.update': '更新设备分组',
  'device.device_group.table.list.treeAdd': '添加根节点',
};
export const device_relation: { [key: string]: string } = {
  'device.device_relation.table.list.id': 'ID',
  'device.device_relation.table.list.deviceParentFkId': '设备父节点',
  'device.device_relation.table.list.deviceSonFkId': '设备父节点',
  'device.device_relation.table.list.createTime': '创建时间',
  'device.device_relation.table.list.updateTime': '更新时间',
  'device.device_relation.table.rule.required.deviceParentFkId': '设备父节点为必填项',
  'device.device_relation.table.rule.required.deviceSonFkId': '设备父节点为必填项',
};
// 接口管理
export const interface_manage: { [key: string]: string } = {
  'device.interface_manage.table.list.id': 'ID',
  'device.interface_manage.table.list.name': '接口名称',
  'device.interface_manage.table.list.address': '接口地址',
  'device.interface_manage.table.list.ip': 'IP地址',
  'device.interface_manage.table.list.createTime': '创建时间',
  'device.interface_manage.table.list.testTime': '状态查询时间',
  'device.interface_manage.table.list.remark': '备注',
  'device.interface_manage.table.list.add': '新建设备/输入源',
  'device.interface_manage.table.list.addPic': '新建图像获取接口',
  'device.interface_manage.table.list.updatePic': '编辑图像获取接口',
  'device.interface_manage.table.list.capture': '最近拍摄',
  'device.interface_manage.table.list.port': '端口',
  'device.interface_manage.table.list.loginName': '登录名',
  'device.interface_manage.table.list.password': '密码',
  'device.interface_manage.table.list.fileDirectory': '文件目录',
  'device.interface_manage.table.list.requestAddress': '请求地址',
  'device.interface_manage.table.list.requestKey': '请求Key',
  'device.interface_manage.table.list.secretKey': '秘钥',
  'device.interface_manage.table.list.bucket': 'Bucket',
  'device.interface_manage.table.list.Code': 'Code',
  'device.interface_manage.table.list.addVideoSource': '新建视频源',
  'device.interface_manage.table.list.updatVideoSource': '编辑视频源',
  'device.interface_manage.table.list.videoName': '视频源名称',
  'device.interface_manage.table.list.obtainMode': '获取方式',
  'device.interface_manage.table.list.obtainStatus': '获取状态',
  'device.interface_manage.table.rule.required.name': '接口名称为必填项',
  'device.interface_manage.table.rule.required.address': '接口地址为必填项',
  'device.interface_manage.table.rule.required.ip': 'IP地址为必填项',
  'device.interface_manage.table.rule.required.loginName': '登录名为必填项',
  'device.interface_manage.table.rule.required.password': '密码为必填项',
  'device.interface_manage.table.rule.required.fileDirectory': '文件目录为必填项',
  'device.interface_manage.table.rule.required.requestAddress': '请求地址为必填项',
  'device.interface_manage.table.rule.required.requestKey': '请求Key为必填项',
  'device.interface_manage.table.rule.required.secretKey': '请求Key为必填项',
  'device.interface_manage.table.rule.required.bucket': 'Bucket为必填项',
  'device.interface_manage.table.rule.required.Code': 'Code为必填项',
};
