/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-01 11:20:09
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-19 16:36:08
 * @FilePath: \uighur-recognition-web2\src\services\system\Base.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 生成验证码 POST /base/captcha */
export async function postBaseCaptcha(options?: { [key: string]: any }) {
  return request<API.Response & { data?: API.SysCaptchaResponse; msg?: string }>(
    `/api/base/captcha`,
    {
      method: 'POST',
      ...(options || {}),
    },
  );
}

/** 用户登录 POST /base/login */
export async function postBaseLogin(body: API.Login, options?: { [key: string]: any }) {
  return request<API.Response & { data?: API.LoginResponse; msg?: string }>(`/api/v1/login`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
