/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2023-11-01 13:56:33
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 11:25:29
 * @FilePath: \general-ai-platform-web\mock\route.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**菜单模块 mock */

import { mockGetMenuData } from './pools/menuData';
import { successMockApiProps } from './typing';
import { fetchMockSuccessFullByOther } from './utils/apiMock';
export default {
  // 获取菜单
  'POST /api/menu/getMenu': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetMenuData),
    };
    res.send(resData);
  },
};
