/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-02 15:42:40
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-02 15:45:45
 * @FilePath: \uighur-recognition-web2\mock\pools\warningRuleData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**@实时分析告警规则模块 */
// 告警规则分页
export const mockGetWarningRuleData = {
  data: {
    count: 3,
    next: null,
    previous: null,
    results: [
      {
        id: 3,
        warning_name: '敏感时间',
        warning_level: 3,
        warning_type: 3,
        is_use: 1,
        person_number: 1,
        appear_number: 1,
        time_interval: null,
        time_period: null,
        trigger_start_time: '09:09:16',
        trigger_end_time: '18:00:00',
        create_time: null,
        update_time: '2024-04-01T17:53:40.998904',
      },
      {
        id: 2,
        warning_name: '多人聚集',
        warning_level: 2,
        warning_type: 2,
        is_use: 1,
        person_number: 3,
        appear_number: 1,
        time_interval: 1,
        time_period: null,
        trigger_start_time: null,
        trigger_end_time: null,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54.752905',
      },
      {
        id: 1,
        warning_name: '单人徘徊',
        warning_level: 1,
        warning_type: 1,
        is_use: 1,
        person_number: 1,
        appear_number: 2,
        time_interval: 1,
        time_period: 10,
        trigger_start_time: null,
        trigger_end_time: null,
        create_time: '2024-01-22T10:58:57',
        update_time: '2024-04-01T17:54:01.945906',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
/**@离线分析告警规则模块 */
// 告警规则分页
export const mockGetUploadWarningRuleData = {
  data: {
    count: 2,
    next: null,
    previous: null,
    results: [
      {
        id: 2,
        warning_name: '多人聚集',
        warning_level: 2,
        warning_type: 2,
        is_use: 1,
        person_number: 3,
        appear_number: 1,
        time_interval: 5,
        time_period: null,
        create_time: '2024-04-01T16:15:05',
        update_time: '2024-04-02T14:25:10.087767',
      },
      {
        id: 1,
        warning_name: '单人徘徊',
        warning_level: 1,
        warning_type: 1,
        is_use: 1,
        person_number: 1,
        appear_number: 2,
        time_interval: 1,
        time_period: 10,
        create_time: '2024-04-01T16:14:35',
        update_time: '2024-04-02T14:25:16.505613',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
