/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-24 15:21:35
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-24 16:36:07
 * @FilePath: \general-ai-platform-web\mock\typing.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**成功返回数据结构 */
export interface successMockApiProps {
  status: number; // 200 成功
  success: boolean; // true 成功
  data: any; // mock业务层数据
  msg: string | undefined; // 成功提示
  isMock: boolean; // true 标识当前是模拟数据
}

/**失败返回数据结构 */
export interface failMockApiProps {
  status?: number; // 500 失败
  success: boolean; // false 失败
  data: any; // mock业务层数据
  msg: string | undefined; // 成功提示
  isMock: boolean; // true 标识当前是模拟数据
}
