/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-16 10:54:35
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-16 13:57:44
 * @FilePath: \general-ai-manage\src\components\Button\src\commButton.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { Button } from 'antd';
import React from 'react';
import { CommButtonProps } from '../typing';

const CommButton: React.FC<CommButtonProps> = (props) => {
  const { prevIcon, buttonLabel, ...baseProButton } = props;
  return (
    <Button {...baseProButton}>
      <div className="flex items-center justify-center">
        {prevIcon}
        <span className="px-[4px]">{buttonLabel}</span>
      </div>
    </Button>
  );
};

export default CommButton;
