import moment from 'moment';
export type momentProps = {
  formatTimeByDateType: (time: string | number, type?: string) => string;
};
export const useMoment = () => {
  function formatTimeByDateType(time: string | number, type?: string) {
    const finalType = type || 'YYYY-MM-DD hh:mm:ss';
    return moment(time).format(finalType);
  }

  return {
    formatTimeByDateType,
  };
};
