/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-01 11:20:09
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-10 17:23:04
 * @FilePath: \uighur-recognition-web2\src\locales\zh-CN.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as alarms from './zh-CN/alarm';
import * as businessProject from './zh-CN/businessProject';
import common from './zh-CN/common';
import component from './zh-CN/component';
import * as devices from './zh-CN/device';
import globalHeader from './zh-CN/globalHeader';
import menu from './zh-CN/menu';
import * as model from './zh-CN/model';
import pages from './zh-CN/pages';
import pwa from './zh-CN/pwa';
import settingDrawer from './zh-CN/settingDrawer';
import settings from './zh-CN/settings';
import * as systems from './zh-CN/system';

export default {
  'navBar.lang': '语言',
  'layout.user.link.help': '帮助',
  'layout.user.link.privacy': '隐私',
  'layout.user.link.terms': '条款',
  'app.preview.down.block': '下载此页面到本地项目',
  'app.welcome.link.fetch-blocks': '获取全部区块',
  'app.welcome.link.block-list': '基于 block 开发，快速构建标准页面',
  ...pages,
  ...globalHeader,
  ...menu,
  ...settingDrawer,
  ...settings,
  ...pwa,
  ...component,
  ...common,
  ...Object.assign(
    {},
    ...Object.values(systems),
    ...Object.values(alarms),
    ...Object.values(devices),
    ...Object.values(businessProject),
    ...Object.values(model),
  ),
};
