/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-03-11 14:06:18
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-03-11 14:15:11
 * @FilePath: \general-ai-platform-web\src\services\system\ComputePower.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 算力分配类别 */
export async function postPowerGroup(body: any, options?: { [key: string]: any }) {
  return request<API.Response & { msg?: string }>(`/api/compute_power/getPowerGroupList`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 算力分配类别 */
export async function postPowerPoolsList(body: any, options?: { [key: string]: any }) {
  return request<API.Response & { msg?: string }>(`/api/compute_power/getPowerPoolsList`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
