/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-09 13:46:44
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-19 14:48:49
 * @FilePath: \general-ai-manage\src\services\testApi\businessProject.ts
 * @Description: 企业项目mock数据映射
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 企业项目分页列表 */
export async function getBusinessProject(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/businessProject/`, {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
    },
    params: {
      ...body,
    },
    ...(options || {}),
  });
}
// 企业详情
export async function getBusinessDetail(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/businessProject/detail/`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}
