/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-10 16:58:27
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-17 17:56:48
 * @FilePath: \general-ai-manage\src\services\testApi\model.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';
export async function getModelList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/model/list/`, {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
    },
    params: {
      ...body,
    },
    ...(options || {}),
  });
}

export async function getModelVersionList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/model/versions/list/`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

export async function getModelDetail(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/model/detail/`, {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
    },
    params: {
      ...body,
    },
    ...(options || {}),
  });
}

export async function getModelRuntimeLibList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/model/runtimeLib/list/`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

export async function getModelRuntimeLibFilesList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/model/runtimeLib/filesList/`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}
